Loading...
Searching...
No Matches
Tuning (get_nb, etc.)
Utilities

## Macros

#define | GEQRF_BATCHED_LOOKUP_TABLE_BATCH_STEP

## Functions

void | magma_get_zpotrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
| Returns in nb and recnb the crossover points for potrf based on n.
void | magma_get_cpotrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_dpotrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_spotrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_zgetrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
| Returns in nb and recnb the crossover points for getrf.
void | magma_get_cgetrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_dgetrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_sgetrf_batched_nbparam (magma_int_t n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_zgetrf_vbatched_nbparam (magma_int_t max_m, magma_int_t max_n, magma_int_t *nb, magma_int_t *recnb)
| Returns in nb and recnb the crossover points for getrf.
void | magma_get_cgetrf_vbatched_nbparam (magma_int_t max_m, magma_int_t max_n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_dgetrf_vbatched_nbparam (magma_int_t max_m, magma_int_t max_n, magma_int_t *nb, magma_int_t *recnb)
void | magma_get_sgetrf_vbatched_nbparam (magma_int_t max_m, magma_int_t max_n, magma_int_t *nb, magma_int_t *recnb)
magma_int_t | magma_get_zgeqrf_batched_nb (magma_int_t m)
magma_int_t | magma_get_cgeqrf_batched_nb (magma_int_t m)
magma_int_t | magma_get_dgeqrf_batched_nb (magma_int_t m)
magma_int_t | magma_get_sgeqrf_batched_nb (magma_int_t m)
magma_int_t | magma_get_zgeqr2_fused_sm_batched_nthreads (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zpotrf_batched_crossover ()
magma_int_t | magma_get_cpotrf_batched_crossover ()
magma_int_t | magma_get_dpotrf_batched_crossover ()
magma_int_t | magma_get_spotrf_batched_crossover ()
magma_int_t | magma_get_zpotrf_vbatched_crossover ()
magma_int_t | magma_get_cpotrf_vbatched_crossover ()
magma_int_t | magma_get_dpotrf_vbatched_crossover ()
magma_int_t | magma_get_spotrf_vbatched_crossover ()
magma_int_t | magma_get_zgetri_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgetri_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgetri_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgetri_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_ztrsm_batched_stop_nb (magma_side_t side, magma_int_t m, magma_int_t n)
magma_int_t | magma_get_ctrsm_batched_stop_nb (magma_side_t side, magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dtrsm_batched_stop_nb (magma_side_t side, magma_int_t m, magma_int_t n)
magma_int_t | magma_get_strsm_batched_stop_nb (magma_side_t side, magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgemm_batched_smallsq_limit (magma_int_t n)
magma_int_t | magma_get_dgemm_batched_smallsq_limit (magma_int_t n)
magma_int_t | magma_get_sgemm_batched_smallsq_limit (magma_int_t n)
magma_int_t | magma_srecommend_cublas_gemm_batched (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
| Decides which is better (magma or cublas_batched), regardless of the performance of cublas stream.
magma_int_t | magma_drecommend_cublas_gemm_batched (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_crecommend_cublas_gemm_batched (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_zrecommend_cublas_gemm_batched (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_srecommend_cublas_gemm_stream (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
| Decides if cublas stream should be used for a given gemm dimension/shape.
magma_int_t | magma_drecommend_cublas_gemm_stream (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_crecommend_cublas_gemm_stream (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_zrecommend_cublas_gemm_stream (magma_trans_t transa, magma_trans_t transb, magma_int_t m, magma_int_t n, magma_int_t k)
magma_int_t | magma_get_spotrf_nb (magma_int_t n)
magma_int_t | magma_get_dpotrf_nb (magma_int_t n)
magma_int_t | magma_get_cpotrf_nb (magma_int_t n)
magma_int_t | magma_get_zpotrf_nb (magma_int_t n)
magma_int_t | magma_get_zpotrf_right_nb (magma_int_t n)
magma_int_t | magma_get_cpotrf_right_nb (magma_int_t n)
magma_int_t | magma_get_dpotrf_right_nb (magma_int_t n)
magma_int_t | magma_get_spotrf_right_nb (magma_int_t n)
magma_int_t | magma_get_sgeqp3_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgeqp3_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgeqp3_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgeqp3_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgeqrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgeqrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgeqrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgeqrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgeqlf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgeqlf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgeqlf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgeqlf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgelqf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgelqf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgelqf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgelqf_nb (magma_int_t m, magma_int_t n)
double | magma_get_gemex_rankk_time (magma_int_t m, magma_int_t k, magma_mp_type_t gmtype)
magma_int_t | magma_get_sgetrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgetrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgetrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgetrf_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgetrf_native_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgetrf_native_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgetrf_native_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgetrf_native_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgehrd_nb (magma_int_t n)
magma_int_t | magma_get_dgehrd_nb (magma_int_t n)
magma_int_t | magma_get_cgehrd_nb (magma_int_t n)
magma_int_t | magma_get_zgehrd_nb (magma_int_t n)
magma_int_t | magma_get_ssytrd_nb (magma_int_t n)
magma_int_t | magma_get_dsytrd_nb (magma_int_t n)
magma_int_t | magma_get_chetrd_nb (magma_int_t n)
magma_int_t | magma_get_zhetrd_nb (magma_int_t n)
magma_int_t | magma_get_zhetrf_nb (magma_int_t n)
magma_int_t | magma_get_chetrf_nb (magma_int_t n)
magma_int_t | magma_get_dsytrf_nb (magma_int_t n)
magma_int_t | magma_get_ssytrf_nb (magma_int_t n)
magma_int_t | magma_get_zhetrf_aasen_nb (magma_int_t n)
magma_int_t | magma_get_chetrf_aasen_nb (magma_int_t n)
magma_int_t | magma_get_dsytrf_aasen_nb (magma_int_t n)
magma_int_t | magma_get_ssytrf_aasen_nb (magma_int_t n)
magma_int_t | magma_get_zhetrf_nopiv_nb (magma_int_t n)
magma_int_t | magma_get_chetrf_nopiv_nb (magma_int_t n)
magma_int_t | magma_get_dsytrf_nopiv_nb (magma_int_t n)
magma_int_t | magma_get_ssytrf_nopiv_nb (magma_int_t n)
magma_int_t | magma_get_sgebrd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgebrd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgebrd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgebrd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_ssygst_nb (magma_int_t n)
magma_int_t | magma_get_dsygst_nb (magma_int_t n)
magma_int_t | magma_get_chegst_nb (magma_int_t n)
magma_int_t | magma_get_zhegst_nb (magma_int_t n)
magma_int_t | magma_get_sgetri_nb (magma_int_t n)
magma_int_t | magma_get_dgetri_nb (magma_int_t n)
magma_int_t | magma_get_cgetri_nb (magma_int_t n)
magma_int_t | magma_get_zgetri_nb (magma_int_t n)
magma_int_t | magma_get_sgesvd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgesvd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgesvd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgesvd_nb (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_ssygst_m_nb (magma_int_t n)
magma_int_t | magma_get_dsygst_m_nb (magma_int_t n)
magma_int_t | magma_get_chegst_m_nb (magma_int_t n)
magma_int_t | magma_get_zhegst_m_nb (magma_int_t n)
magma_int_t | magma_get_sbulge_gcperf ()
magma_int_t | magma_get_dbulge_gcperf ()
magma_int_t | magma_get_cbulge_gcperf ()
magma_int_t | magma_get_zbulge_gcperf ()
magma_int_t | magma_get_smlsize_divideconquer ()
magma_int_t | magma_get_sbulge_nb (magma_int_t n, magma_int_t nbthreads)
magma_int_t | magma_get_dbulge_nb (magma_int_t n, magma_int_t nbthreads)
magma_int_t | magma_get_cbulge_nb (magma_int_t n, magma_int_t nbthreads)
magma_int_t | magma_get_zbulge_nb (magma_int_t n, magma_int_t nbthreads)
magma_int_t | magma_get_sbulge_vblksiz (magma_int_t n, magma_int_t nb, magma_int_t nbthreads)
magma_int_t | magma_get_dbulge_vblksiz (magma_int_t n, magma_int_t nb, magma_int_t nbthreads)
magma_int_t | magma_get_cbulge_vblksiz (magma_int_t n, magma_int_t nb, magma_int_t nbthreads)
magma_int_t | magma_get_zbulge_vblksiz (magma_int_t n, magma_int_t nb, magma_int_t nbthreads)
magma_int_t | magma_get_sbulge_mgpu_nb (magma_int_t n)
magma_int_t | magma_get_dbulge_mgpu_nb (magma_int_t n)
magma_int_t | magma_get_cbulge_mgpu_nb (magma_int_t n)
magma_int_t | magma_get_zbulge_mgpu_nb (magma_int_t n)
magma_int_t | magma_get_zgemm_batched_ntcol (magma_int_t m)
magma_int_t | magma_get_cgemm_batched_ntcol (magma_int_t m)
magma_int_t | magma_get_dgemm_batched_ntcol (magma_int_t m)
magma_int_t | magma_get_sgemm_batched_ntcol (magma_int_t m)
magma_int_t | magma_get_zgetrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgetrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgetrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgetrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_zgeqrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_cgeqrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_dgeqrf_batched_ntcol (magma_int_t m, magma_int_t n)
magma_int_t | magma_get_sgeqrf_batched_ntcol (magma_int_t m, magma_int_t n)

## Detailed Description

Tuning of the batched kernels that are invoked on extremely small sizes

Optimal block sizes vary with GPU and, to a lesser extent, CPU.

Kepler tuning was on K20c 705 MHz with SandyBridge 2.6 GHz host (bunsen). Fermi tuning was on S2050 1147 MHz with AMD Opteron 2.4 GHz host (romulus).

## Macro Definition Documentation

## GEQRF_BATCHED_LOOKUP_TABLE_BATCH_STEP

#define GEQRF_BATCHED_LOOKUP_TABLE_BATCH_STEP

Returns
  recommendation (1/0) of using the panel code only (with fused update) over the main blocked code

## Function Documentation

## magma_get_cpotrf_batched_nbparam()

void magma_get_cpotrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zpotrf_batched_nbparam

## magma_get_dpotrf_batched_nbparam()

void magma_get_dpotrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zpotrf_batched_nbparam

## magma_get_spotrf_batched_nbparam()

void magma_get_spotrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zpotrf_batched_nbparam

## magma_get_cgetrf_batched_nbparam()

void magma_get_cgetrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_dgetrf_batched_nbparam()

void magma_get_dgetrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_sgetrf_batched_nbparam()

void magma_get_sgetrf_batched_nbparam | ( | magma_int_t | n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_cgetrf_vbatched_nbparam()

void magma_get_cgetrf_vbatched_nbparam | ( | magma_int_t | max_m,
|  | magma_int_t | max_n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_dgetrf_vbatched_nbparam()

void magma_get_dgetrf_vbatched_nbparam | ( | magma_int_t | max_m,
|  | magma_int_t | max_n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_sgetrf_vbatched_nbparam()

void magma_get_sgetrf_vbatched_nbparam | ( | magma_int_t | max_m,
|  | magma_int_t | max_n,
|  | magma_int_t * | nb,
|  | magma_int_t * | recnb )

See also
  magma_get_zgetrf_batched_nbparam

## magma_get_zgeqrf_batched_nb()

magma_int_t magma_get_zgeqrf_batched_nb | ( | magma_int_t | m | ) |

Returns
  nb for geqrf_batched based on n

## magma_get_cgeqrf_batched_nb()

magma_int_t magma_get_cgeqrf_batched_nb | ( | magma_int_t | m | ) |

See also
  magma_get_zgeqrf_batched_nb

## magma_get_dgeqrf_batched_nb()

magma_int_t magma_get_dgeqrf_batched_nb | ( | magma_int_t | m | ) |

See also
  magma_get_zgeqrf_batched_nb

## magma_get_sgeqrf_batched_nb()

magma_int_t magma_get_sgeqrf_batched_nb | ( | magma_int_t | m | ) |

See also
  magma_get_zgeqrf_batched_nb

## magma_get_zgeqr2_fused_sm_batched_nthreads()

magma_int_t magma_get_zgeqr2_fused_sm_batched_nthreads | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  the recommended #threads for geqr2_fused_sm_batched

## magma_get_zpotrf_batched_crossover()

magma_int_t magma_get_zpotrf_batched_crossover | ( |  | ) |

Returns
  the crossover point between the _lg or the kernel directly

## magma_get_cpotrf_batched_crossover()

magma_int_t magma_get_cpotrf_batched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_batched_crossover

## magma_get_dpotrf_batched_crossover()

magma_int_t magma_get_dpotrf_batched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_batched_crossover

## magma_get_spotrf_batched_crossover()

magma_int_t magma_get_spotrf_batched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_batched_crossover

## magma_get_zpotrf_vbatched_crossover()

magma_int_t magma_get_zpotrf_vbatched_crossover | ( |  | ) |

Returns
  the crossover point between the _lg or the kernel directly

## magma_get_cpotrf_vbatched_crossover()

magma_int_t magma_get_cpotrf_vbatched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_vbatched_crossover

## magma_get_dpotrf_vbatched_crossover()

magma_int_t magma_get_dpotrf_vbatched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_vbatched_crossover

## magma_get_spotrf_vbatched_crossover()

magma_int_t magma_get_spotrf_vbatched_crossover | ( |  | ) |

See also
  magma_get_zpotrf_vbatched_crossover

## magma_get_zgetri_batched_ntcol()

magma_int_t magma_get_zgetri_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  the ntcol value for very small xgetri_batched ( m = n )

## magma_get_cgetri_batched_ntcol()

magma_int_t magma_get_cgetri_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetri_batched_ntcol

## magma_get_dgetri_batched_ntcol()

magma_int_t magma_get_dgetri_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetri_batched_ntcol

## magma_get_sgetri_batched_ntcol()

magma_int_t magma_get_sgetri_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetri_batched_ntcol

## magma_get_ztrsm_batched_stop_nb()

magma_int_t magma_get_ztrsm_batched_stop_nb | ( | magma_side_t | side,
|  | magma_int_t | m,
|  | magma_int_t | n )

Returns
  the stop nb value for recursive batched trsm

## magma_get_ctrsm_batched_stop_nb()

magma_int_t magma_get_ctrsm_batched_stop_nb | ( | magma_side_t | side,
|  | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_ztrsm_batched_stop_nb

## magma_get_dtrsm_batched_stop_nb()

magma_int_t magma_get_dtrsm_batched_stop_nb | ( | magma_side_t | side,
|  | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_ztrsm_batched_stop_nb

## magma_get_strsm_batched_stop_nb()

magma_int_t magma_get_strsm_batched_stop_nb | ( | magma_side_t | side,
|  | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_ztrsm_batched_stop_nb

## magma_get_cgemm_batched_smallsq_limit()

magma_int_t magma_get_cgemm_batched_smallsq_limit | ( | magma_int_t | n | ) |

See also
  magma_get_zgemm_batched_smallsq_limit

## magma_get_dgemm_batched_smallsq_limit()

magma_int_t magma_get_dgemm_batched_smallsq_limit | ( | magma_int_t | n | ) |

See also
  magma_get_zgemm_batched_smallsq_limit

## magma_get_sgemm_batched_smallsq_limit()

magma_int_t magma_get_sgemm_batched_smallsq_limit | ( | magma_int_t | n | ) |

See also
  magma_get_zgemm_batched_smallsq_limit

## magma_srecommend_cublas_gemm_batched()

magma_int_t magma_srecommend_cublas_gemm_batched | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

Decides which is better (magma or cublas_batched), regardless of the performance of cublas stream.

Returns
  true (1) to use cuBLAS batched gemm
  false (0) to use MAGMA batched gemm

## magma_drecommend_cublas_gemm_batched()

magma_int_t magma_drecommend_cublas_gemm_batched | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_batched

## magma_crecommend_cublas_gemm_batched()

magma_int_t magma_crecommend_cublas_gemm_batched | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_batched

## magma_zrecommend_cublas_gemm_batched()

magma_int_t magma_zrecommend_cublas_gemm_batched | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_batched

## magma_srecommend_cublas_gemm_stream()

magma_int_t magma_srecommend_cublas_gemm_stream | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

Decides if cublas stream should be used for a given gemm dimension/shape.

Returns
  true (1) to use cuBLAS gemm (non-batched) with multiple streams.
  false (0) to use batched gemm

## magma_drecommend_cublas_gemm_stream()

magma_int_t magma_drecommend_cublas_gemm_stream | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_stream

## magma_crecommend_cublas_gemm_stream()

magma_int_t magma_crecommend_cublas_gemm_stream | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_stream

## magma_zrecommend_cublas_gemm_stream()

magma_int_t magma_zrecommend_cublas_gemm_stream | ( | magma_trans_t | transa,
|  | magma_trans_t | transb,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t | k )

See also
  magma_srecommend_cublas_gemm_stream

## magma_get_spotrf_nb()

magma_int_t magma_get_spotrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for spotrf based on n

## magma_get_dpotrf_nb()

magma_int_t magma_get_dpotrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for dpotrf based on n

## magma_get_cpotrf_nb()

magma_int_t magma_get_cpotrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for cpotrf based on n

## magma_get_zpotrf_nb()

magma_int_t magma_get_zpotrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for zpotrf based on n

## magma_get_zpotrf_right_nb()

magma_int_t magma_get_zpotrf_right_nb | ( | magma_int_t | n | ) |

Returns
  nb for zpotrf_right based on n

## magma_get_cpotrf_right_nb()

magma_int_t magma_get_cpotrf_right_nb | ( | magma_int_t | n | ) |

Returns
  nb for cpotrf_right based on n

## magma_get_dpotrf_right_nb()

magma_int_t magma_get_dpotrf_right_nb | ( | magma_int_t | n | ) |

Returns
  nb for dpotrf_right based on n

## magma_get_spotrf_right_nb()

magma_int_t magma_get_spotrf_right_nb | ( | magma_int_t | n | ) |

Returns
  nb for spotrf_right based on n

## magma_get_sgeqp3_nb()

magma_int_t magma_get_sgeqp3_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgeqp3 based on m, n

## magma_get_dgeqp3_nb()

magma_int_t magma_get_dgeqp3_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgeqp3 based on m, n

## magma_get_cgeqp3_nb()

magma_int_t magma_get_cgeqp3_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgeqp3 based on m, n

## magma_get_zgeqp3_nb()

magma_int_t magma_get_zgeqp3_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgeqp3 based on m, n

## magma_get_sgeqrf_nb()

magma_int_t magma_get_sgeqrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgeqrf based on m, n

## magma_get_dgeqrf_nb()

magma_int_t magma_get_dgeqrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgeqrf based on m, n

## magma_get_cgeqrf_nb()

magma_int_t magma_get_cgeqrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgeqrf based on m, n

## magma_get_zgeqrf_nb()

magma_int_t magma_get_zgeqrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgeqrf based on m, n

## magma_get_sgeqlf_nb()

magma_int_t magma_get_sgeqlf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgeqlf based on m, n

## magma_get_dgeqlf_nb()

magma_int_t magma_get_dgeqlf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgeqlf based on m, n

## magma_get_cgeqlf_nb()

magma_int_t magma_get_cgeqlf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgeqlf based on m, n

## magma_get_zgeqlf_nb()

magma_int_t magma_get_zgeqlf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgeqlf based on m, n

## magma_get_sgelqf_nb()

magma_int_t magma_get_sgelqf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgelqf based on m, n

## magma_get_dgelqf_nb()

magma_int_t magma_get_dgelqf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgelqf based on m, n

## magma_get_cgelqf_nb()

magma_int_t magma_get_cgelqf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgelqf based on m, n

## magma_get_zgelqf_nb()

magma_int_t magma_get_zgelqf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgelqf based on m, n

## magma_get_gemex_rankk_time()

double magma_get_gemex_rankk_time | ( | magma_int_t | m,
|  | magma_int_t | k,
|  | magma_mp_type_t | gmtype )

Returns
  nb for hgetrf based on m, n

## magma_get_sgetrf_nb()

magma_int_t magma_get_sgetrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgetrf based on m, n

## magma_get_dgetrf_nb()

magma_int_t magma_get_dgetrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgetrf based on m, n

## magma_get_cgetrf_nb()

magma_int_t magma_get_cgetrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgetrf based on m, n

## magma_get_zgetrf_nb()

magma_int_t magma_get_zgetrf_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgetrf based on m, n

## magma_get_sgetrf_native_nb()

magma_int_t magma_get_sgetrf_native_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for native sgetrf based on m, n

## magma_get_dgetrf_native_nb()

magma_int_t magma_get_dgetrf_native_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for native dgetrf based on m, n

## magma_get_cgetrf_native_nb()

magma_int_t magma_get_cgetrf_native_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for native cgetrf based on m, n

## magma_get_zgetrf_native_nb()

magma_int_t magma_get_zgetrf_native_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for native zgetrf based on m, n

## magma_get_sgehrd_nb()

magma_int_t magma_get_sgehrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for sgehrd based on n

## magma_get_dgehrd_nb()

magma_int_t magma_get_dgehrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for dgehrd based on n

## magma_get_cgehrd_nb()

magma_int_t magma_get_cgehrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for cgehrd based on n

## magma_get_zgehrd_nb()

magma_int_t magma_get_zgehrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for zgehrd based on n

## magma_get_ssytrd_nb()

magma_int_t magma_get_ssytrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssytrd based on n

## magma_get_dsytrd_nb()

magma_int_t magma_get_dsytrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsytrd based on n

## magma_get_chetrd_nb()

magma_int_t magma_get_chetrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for chetrd based on n

## magma_get_zhetrd_nb()

magma_int_t magma_get_zhetrd_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhetrd based on n

## magma_get_zhetrf_nb()

magma_int_t magma_get_zhetrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhetrf based on n

## magma_get_chetrf_nb()

magma_int_t magma_get_chetrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for chetrf based on n

## magma_get_dsytrf_nb()

magma_int_t magma_get_dsytrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsytrf based on n

## magma_get_ssytrf_nb()

magma_int_t magma_get_ssytrf_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssytrf based on n

## magma_get_zhetrf_aasen_nb()

magma_int_t magma_get_zhetrf_aasen_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhetrf_aasen based on n

## magma_get_chetrf_aasen_nb()

magma_int_t magma_get_chetrf_aasen_nb | ( | magma_int_t | n | ) |

Returns
  nb for chetrf_aasen based on n

## magma_get_dsytrf_aasen_nb()

magma_int_t magma_get_dsytrf_aasen_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsytrf_aasen based on n

## magma_get_ssytrf_aasen_nb()

magma_int_t magma_get_ssytrf_aasen_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssytrf_aasen based on n

## magma_get_zhetrf_nopiv_nb()

magma_int_t magma_get_zhetrf_nopiv_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhetrf_nopiv based on n

## magma_get_chetrf_nopiv_nb()

magma_int_t magma_get_chetrf_nopiv_nb | ( | magma_int_t | n | ) |

Returns
  nb for chetrf_nopiv based on n

## magma_get_dsytrf_nopiv_nb()

magma_int_t magma_get_dsytrf_nopiv_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsytrf_nopiv based on n

## magma_get_ssytrf_nopiv_nb()

magma_int_t magma_get_ssytrf_nopiv_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssytrf_nopiv based on n

## magma_get_sgebrd_nb()

magma_int_t magma_get_sgebrd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgebrd based on m, n

## magma_get_dgebrd_nb()

magma_int_t magma_get_dgebrd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgebrd based on m, n

## magma_get_cgebrd_nb()

magma_int_t magma_get_cgebrd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgebrd based on m, n

## magma_get_zgebrd_nb()

magma_int_t magma_get_zgebrd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgebrd based on m, n

## magma_get_ssygst_nb()

magma_int_t magma_get_ssygst_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssygst based on n

## magma_get_dsygst_nb()

magma_int_t magma_get_dsygst_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsygst based on n

## magma_get_chegst_nb()

magma_int_t magma_get_chegst_nb | ( | magma_int_t | n | ) |

Returns
  nb for chegst based on n

## magma_get_zhegst_nb()

magma_int_t magma_get_zhegst_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhegst based on n

## magma_get_sgetri_nb()

magma_int_t magma_get_sgetri_nb | ( | magma_int_t | n | ) |

Returns
  nb for sgetri based on n

## magma_get_dgetri_nb()

magma_int_t magma_get_dgetri_nb | ( | magma_int_t | n | ) |

Returns
  nb for dgetri based on n

## magma_get_cgetri_nb()

magma_int_t magma_get_cgetri_nb | ( | magma_int_t | n | ) |

Returns
  nb for cgetri based on n

## magma_get_zgetri_nb()

magma_int_t magma_get_zgetri_nb | ( | magma_int_t | n | ) |

Returns
  nb for zgetri based on n

## magma_get_sgesvd_nb()

magma_int_t magma_get_sgesvd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for sgesvd based on m, n

## magma_get_dgesvd_nb()

magma_int_t magma_get_dgesvd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for dgesvd based on m, n

## magma_get_cgesvd_nb()

magma_int_t magma_get_cgesvd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for cgesvd based on m, n

## magma_get_zgesvd_nb()

magma_int_t magma_get_zgesvd_nb | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  nb for zgesvd based on m, n

## magma_get_ssygst_m_nb()

magma_int_t magma_get_ssygst_m_nb | ( | magma_int_t | n | ) |

Returns
  nb for ssygst_m based on n

## magma_get_dsygst_m_nb()

magma_int_t magma_get_dsygst_m_nb | ( | magma_int_t | n | ) |

Returns
  nb for dsygst_m based on n

## magma_get_chegst_m_nb()

magma_int_t magma_get_chegst_m_nb | ( | magma_int_t | n | ) |

Returns
  nb for chegst_m based on n

## magma_get_zhegst_m_nb()

magma_int_t magma_get_zhegst_m_nb | ( | magma_int_t | n | ) |

Returns
  nb for zhegst_m based on n

## magma_get_sbulge_gcperf()

magma_int_t magma_get_sbulge_gcperf | ( |  | ) |

Returns
  gpu over cpu performance for 2 stage TRD

## magma_get_dbulge_gcperf()

magma_int_t magma_get_dbulge_gcperf | ( |  | ) |

Returns
  gpu over cpu performance for 2 stage TRD

## magma_get_cbulge_gcperf()

magma_int_t magma_get_cbulge_gcperf | ( |  | ) |

Returns
  gpu over cpu performance for 2 stage TRD

## magma_get_zbulge_gcperf()

magma_int_t magma_get_zbulge_gcperf | ( |  | ) |

Returns
  gpu over cpu performance for 2 stage TRD

## magma_get_smlsize_divideconquer()

magma_int_t magma_get_smlsize_divideconquer | ( |  | ) |

Returns
  smlsiz for the divide and conquewr routine dlaex0 dstedx zstedx

## magma_get_sbulge_nb()

magma_int_t magma_get_sbulge_nb | ( | magma_int_t | n,
|  | magma_int_t | nbthreads )

Returns
  nb for 2 stage TRD

## magma_get_dbulge_nb()

magma_int_t magma_get_dbulge_nb | ( | magma_int_t | n,
|  | magma_int_t | nbthreads )

Returns
  nb for 2 stage TRD

## magma_get_cbulge_nb()

magma_int_t magma_get_cbulge_nb | ( | magma_int_t | n,
|  | magma_int_t | nbthreads )

Returns
  nb for 2 stage TRD

## magma_get_zbulge_nb()

magma_int_t magma_get_zbulge_nb | ( | magma_int_t | n,
|  | magma_int_t | nbthreads )

Returns
  nb for 2 stage TRD

## magma_get_sbulge_vblksiz()

magma_int_t magma_get_sbulge_vblksiz | ( | magma_int_t | n,
|  | magma_int_t | nb,
|  | magma_int_t | nbthreads )

Returns
  Vblksiz for 2 stage TRD

## magma_get_dbulge_vblksiz()

magma_int_t magma_get_dbulge_vblksiz | ( | magma_int_t | n,
|  | magma_int_t | nb,
|  | magma_int_t | nbthreads )

Returns
  Vblksiz for 2 stage TRD

## magma_get_cbulge_vblksiz()

magma_int_t magma_get_cbulge_vblksiz | ( | magma_int_t | n,
|  | magma_int_t | nb,
|  | magma_int_t | nbthreads )

Returns
  Vblksiz for 2 stage TRD

## magma_get_zbulge_vblksiz()

magma_int_t magma_get_zbulge_vblksiz | ( | magma_int_t | n,
|  | magma_int_t | nb,
|  | magma_int_t | nbthreads )

Returns
  Vblksiz for 2 stage TRD

## magma_get_sbulge_mgpu_nb()

magma_int_t magma_get_sbulge_mgpu_nb | ( | magma_int_t | n | ) |

Returns
  nb for 2 stage TRD_MGPU

## magma_get_dbulge_mgpu_nb()

magma_int_t magma_get_dbulge_mgpu_nb | ( | magma_int_t | n | ) |

Returns
  nb for 2 stage TRD_MGPU

## magma_get_cbulge_mgpu_nb()

magma_int_t magma_get_cbulge_mgpu_nb | ( | magma_int_t | n | ) |

Returns
  nb for 2 stage TRD_MGPU

## magma_get_zbulge_mgpu_nb()

magma_int_t magma_get_zbulge_mgpu_nb | ( | magma_int_t | n | ) |

Returns
  nb for 2 stage TRD_MGPU

## magma_get_zgemm_batched_ntcol()

magma_int_t magma_get_zgemm_batched_ntcol | ( | magma_int_t | m | ) |

Returns
  the ntcol value for very small xgemm_batched ( m = n = k)

## magma_get_cgemm_batched_ntcol()

magma_int_t magma_get_cgemm_batched_ntcol | ( | magma_int_t | m | ) |

See also
  magma_get_zgemm_batched_ntcol

## magma_get_dgemm_batched_ntcol()

magma_int_t magma_get_dgemm_batched_ntcol | ( | magma_int_t | m | ) |

See also
  magma_get_zgemm_batched_ntcol

## magma_get_sgemm_batched_ntcol()

magma_int_t magma_get_sgemm_batched_ntcol | ( | magma_int_t | m | ) |

See also
  magma_get_zgemm_batched_ntcol

## magma_get_zgetrf_batched_ntcol()

magma_int_t magma_get_zgetrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  the ntcol value for very small xgetrf_batched ( m = n )

## magma_get_cgetrf_batched_ntcol()

magma_int_t magma_get_cgetrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetrf_batched_ntcol

## magma_get_dgetrf_batched_ntcol()

magma_int_t magma_get_dgetrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetrf_batched_ntcol

## magma_get_sgetrf_batched_ntcol()

magma_int_t magma_get_sgetrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgetrf_batched_ntcol

## magma_get_zgeqrf_batched_ntcol()

magma_int_t magma_get_zgeqrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

Returns
  the ntcol value for very small xgeqrf_batched ( m = n )

## magma_get_cgeqrf_batched_ntcol()

magma_int_t magma_get_cgeqrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgeqrf_batched_ntcol

## magma_get_dgeqrf_batched_ntcol()

magma_int_t magma_get_dgeqrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgeqrf_batched_ntcol

## magma_get_sgeqrf_batched_ntcol()

magma_int_t magma_get_sgeqrf_batched_ntcol | ( | magma_int_t | m,
|  | magma_int_t | n )

See also
  magma_get_zgeqrf_batched_ntcol